Retrieve events based on filters
curl --request POST \
--url https://api.honeyhive.ai/v1/events/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"field": "<string>",
"value": "<string>"
}
],
"limit": 500,
"page": 2,
"ignore_order": true,
"evaluation_id": "<string>"
}
'import requests
url = "https://api.honeyhive.ai/v1/events/search"
payload = {
"filters": [
{
"field": "<string>",
"value": "<string>"
}
],
"limit": 500,
"page": 2,
"ignore_order": True,
"evaluation_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{field: '<string>', value: '<string>'}],
limit: 500,
page: 2,
ignore_order: true,
evaluation_id: '<string>'
})
};
fetch('https://api.honeyhive.ai/v1/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"project": "<string>",
"project_id": "<string>",
"source": "<string>",
"event_name": "<string>",
"event_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"children_ids": [
"<string>"
],
"config": {},
"inputs": {},
"outputs": {},
"error": "<string>",
"start_time": 123,
"end_time": 123,
"duration": 123,
"metadata": {},
"feedback": {},
"metrics": {},
"user_properties": {}
}
],
"count": 123
}Events
Retrieve events based on filters
Search events via POST with filtering and pagination. This is the primary method for retrieving events from HoneyHive.
POST
/
v1
/
events
/
search
Retrieve events based on filters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for POST /v1/events/search
Array of filter criteria to apply
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Limit number of results (default 1000, max 1000)
Required range:
1 <= x <= 1000Page number of results (default 1)
Required range:
x >= 1Deprecated: accepted but ignored. Results are always ordered by start_time descending.
Filter by evaluation/experiment run ID
Was this page helpful?
⌘I

